org.wildfly.swarm.microprofile.faulttolerance.deployment.config

## Class CircuitBreakerConfig

- java.lang.Object
- - org.wildfly.swarm.microprofile.faulttolerance.deployment.config.GenericConfig<CircuitBreaker>
  - - org.wildfly.swarm.microprofile.faulttolerance.deployment.config.CircuitBreakerConfig

-     public class CircuitBreakerConfig
      extends GenericConfig<CircuitBreaker>

  Author:
    Antoine Sabot-Durand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DELAY`
    `static String` | `DELAY_UNIT`
    `static String` | `FAIL_ON`
    `static String` | `FAILURE_RATIO`
    `static String` | `REQUEST_VOLUME_THRESHOLD`
    `static String` | `SUCCESS_THRESHOLD`
    `static String` | `SYNCHRONOUS_STATE_VALIDATION`

    - ### Fields inherited from class org.wildfly.swarm.microprofile.faulttolerance.deployment.config.GenericConfig

      `CONFIG_PARAMS_CACHE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CircuitBreakerConfig(<any> annotatedMethod)`
    `CircuitBreakerConfig(Method method)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate()`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.faulttolerance.deployment.config.GenericConfig

      `get, get, getMethodInfo`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELAY

          public static final String DELAY

      See Also:
        Constant Field Values

    - #### DELAY_UNIT

          public static final String DELAY_UNIT

      See Also:
        Constant Field Values

    - #### FAIL_ON

          public static final String FAIL_ON

      See Also:
        Constant Field Values

    - #### FAILURE_RATIO

          public static final String FAILURE_RATIO

      See Also:
        Constant Field Values

    - #### REQUEST_VOLUME_THRESHOLD

          public static final String REQUEST_VOLUME_THRESHOLD

      See Also:
        Constant Field Values

    - #### SUCCESS_THRESHOLD

          public static final String SUCCESS_THRESHOLD

      See Also:
        Constant Field Values

    - #### SYNCHRONOUS_STATE_VALIDATION

          public static final String SYNCHRONOUS_STATE_VALIDATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CircuitBreakerConfig

          public CircuitBreakerConfig(Method method)

    - #### CircuitBreakerConfig

          public CircuitBreakerConfig(<any> annotatedMethod)

  - ### Method Detail

    - #### validate

          public void validate()

      Specified by:
        `validate` in class `GenericConfig<CircuitBreaker>`

Copyright © 2018 JBoss by Red Hat. All rights reserved.